Đến nội dung


Hình ảnh

Chèn điểm lên đường thẳng.


  • Please log in to reply
14 replies to this topic

#1 t0mah0ck

t0mah0ck

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 September 2014 - 08:55 PM

Như em đã viết, em muốn biết là không rõ có lệnh nào hoặc lip thực hiện được như sau:

 

Cho đoạn thẳng AB dài bất kỳ, em chọn một điểm bất kỳ trên đoạn thẳng AB đó mình được điểm C và hình thành luôn hai đoạn thẳng AC và CB ( ở đây C thuộc AB) chú ý là điểm C thuộc và nằm giữa AB.

(Không có điền kích thước hay tỉ lệ gì cả chỉ cần tích chuột vào một điểm trên AB là được.)

Cái này là em thấy thầy giáo em thực hiện một lần hình như trên cad 2013 thì phải giờ không nhớ là thầy có lip hay không à.

 

Mong các bác chỉ bảo dùm em.


  • 0

#2 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 September 2014 - 09:12 PM

Như em đã viết, em muốn biết là không rõ có lệnh nào hoặc lip thực hiện được như sau:

 

Cho đoạn thẳng AB dài bất kỳ, em chọn một điểm bất kỳ trên đoạn thẳng AB đó mình được điểm C và hình thành luôn hai đoạn thẳng AC và CB ( ở đây C thuộc AB) chú ý là điểm C thuộc và nằm giữa AB.

(Không có điền kích thước hay tỉ lệ gì cả chỉ cần tích chuột vào một điểm trên AB là được.)

Cái này là em thấy thầy giáo em thực hiện một lần hình như trên cad 2013 thì phải giờ không nhớ là thầy có lip hay không à.

 

Mong các bác chỉ bảo dùm em.

 

Gõ BRE>> chọn điểm bất kỳ trên AB >>>Bấm chuột 2 lần >>> được điểm C nằm giữa AB

Gõ BRE >> Shift + Chuột phải >> Chọn Midpoint >> bấm chuột 02 lần >> Được điểm C nằm tại trung điểm AB

Đây gọi là lệnh giận cá chém thớt, anh ạ! :) :) :)


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#3 t0mah0ck

t0mah0ck

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 September 2014 - 10:23 PM

Gõ BRE>> chọn điểm bất kỳ trên AB >>>Bấm chuột 2 lần >>> được điểm C nằm giữa AB

Gõ BRE >> Shift + Chuột phải >> Chọn Midpoint >> bấm chuột 02 lần >> Được điểm C nằm tại trung điểm AB

Đây gọi là lệnh giận cá chém thớt, anh ạ! :) :) :)

Cái đó đâu được đâu, sử dụng lệnh đó thì có một quãng ở giữa bị cắt mất đi à :v
Làm sao lựa mình có thể chọn một điểm C bất kỳ trền đoạn AB để tạo thành hai đoạn thẳng AC và CB à.


  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 12 September 2014 - 10:38 PM

Không thể ăn gỏi được, phải qua 2 bước:

Vẽ điểm C

Break đoạn thẳng tại C


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 12 September 2014 - 11:04 PM

Lệnh bre có tuỳ chọn break tại 1 điểm, bạn đọc lại help.
  • 0

#6 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 September 2014 - 11:54 PM

Cái đó đâu được đâu, sử dụng lệnh đó thì có một quãng ở giữa bị cắt mất đi à :v
Làm sao lựa mình có thể chọn một điểm C bất kỳ trền đoạn AB để tạo thành hai đoạn thẳng AC và CB à.

Làm gì có chuyện buồn ...cưới như thế???? :) :) :)

Hoằn đang dùng AutoCAD2013, hay đọc kỹ lại bài viết :

 

Gõ BRE>> chọn điểm bất kỳ trên AB >>>Bấm chuột 2 lần >>> được điểm C nằm giữa AB

Gõ BRE >> Shift + Chuột phải >> Chọn Midpoint >> bấm chuột 02 lần >> Được điểm C nằm tại trung điểm AB

Đây gọi là lệnh giận cá chém thớt, anh ạ! :) :) :)

Rồi làm thử:

1- Vẽ 1 đoạn thẳng bằng layer mầu xanh  rồi chém 02 nhát liền được 2 đoạn thẳng

2- Đổi một trong hai đoạn thành layer mầu đỏ  >>>rồi tắt layer mầu đỏ

3- Tại vết chém của đường thẳng có layer màu xanh vẽ 1 đường thẳng vuông góc với nó dài 50

4- Tắt layer mầu xanh mở layer mầu đỏ >> tại vết chém cũng vẽ 1 đường thẳng vuông góc với nó dài 50

5- Mở layer mầu xanh >>  sẽ thấy 2 nét vẽ trùng nhau

7- OverKill >> Một nét trùng biến mất >>> Kết luân 1: giữa hai đoạn thẳng không có khe hở

8- Cũng chơi kiểu tắt mở layer như trên >>> Gõ ID vào vết chém của 2 đoạn thẳng >>> Kết quả ADN trùng khớp nhau:

Command: ID
Specify point:  X = 21.5377     Y = 29.9182     Z = 0.0000  >>>Kết luân 2: giữa hai đoạn thẳng không có khe hở

9- Dùng lệnh PE ...>>> kết quả hai đoạn thẳng trở thành một ... đối tượng >>>Kết luân 3: giữa hai đoạn thẳng không có khe hở

 

Kết luận: Chủ thớt bấm điểm không chuẩn!

(Chú ý là ăn nhau ở cách thao tác lệnh, dùng tham số f hoặc không dùng tham số vẫn chém đẹp. Nếu chủ thơt không chém được,  Hoằn sẽ làm ảnh động gửi lên sau!

AutoCAD2013:- Hỗ trợ tối đa đám mây điểm:
Giúp bạn quét các đối tượng dẽ dàng hơn, truy bắt điểm chính xác hơn với sự hỗ trợ hơn 2 tỷ điểm trên màn hình thao tác


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#7 t0mah0ck

t0mah0ck

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 September 2014 - 08:19 AM

 Sáng nay em mới lên được xem mọi người trả lời, hiện giờ em đang làm theo lênh BRE của các bác tùy có chỉnh hơi lâu, do em đang vi chỉnh Tiểu lưu vực trên bản đồ trùng lại với các tim đường, phân chia các khu vực lên.

Nhưng dù sao cũng cám ơn các bác, topic mấy bác để cho em thêm 1 hoặc 2 ngày xem có bác nào có cách hay hơn không :v


  • 0

#8 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 13 September 2014 - 10:06 AM

phải ý bạn là mún break 1 điểm bất kỳ trên đường thẳng tạo ra 2 đường thẳng nối liền nhau ko ^^, dùng lệnh break cũng đc nhưng bị cái là nó bắt chọn 2 điểm nếu bạn ko pik chính xác 2 lần trên 1 điểm nó sẽ có khoảng hở , nhoc đang tập tành viết lsp, có cái lsp nhỏ cũng dùng break thui nhưng tránh cho bạn pick nhầm 2 điểm, bạn dùng thử ^^

(defun c:kk (/ oldos oldecho e1 pt1)
(setq oldecho (getvar "cmdecho"))
(setq oldos (getvar "osmode"))
(setq e1 (entsel "\nChon doi tuong:"))
(setq pt1 (getpoint "\nchon diem ngat:"))
(setvar "osmode" 0)
(command ".break" e1 "F"  pt1 pt1)
(princ "\n")
(setvar "cmdecho" oldecho)
(setvar "osmode" oldos)
(princ)
)

- chế độ bắt điểm do bạn quyết định nha ^^


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2014 - 10:11 AM

phải ý bạn là mún break 1 điểm bất kỳ trên đường thẳng tạo ra 2 đường thẳng nối liền nhau ko ^^, dùng lệnh break cũng đc nhưng bị cái là nó bắt chọn 2 điểm nếu bạn ko pik chính xác 2 lần trên 1 điểm nó sẽ có khoảng hở , nhoc đang tập tành viết lsp, có cái lsp nhỏ cũng dùng break thui nhưng tránh cho bạn pick nhầm 2 điểm, bạn dùng thử ^^

(defun c:kk (/ e1 pt1 pt2) 
(setq e1 (entsel "\nChon doi tuong:")) 
(setq pt1 (getpoint "\nchon diem ngat:"))
(setq pt2 pt1)
(command ".break" e1 "F"  pt1 pt2)
)

Ôi, Nhoc ơi! setq pt2 mần chi? Thêm tắt osnap kẻo toi.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 13 September 2014 - 10:26 AM

hi , nhoc tưởng tượng sao mần đại ^^, vô cad thử với tham số "F" nó có đòi điểm 2 nên nhoc set thêm 1 điểm trùng điểm 1 vậy mà, chưa đủ khả năng ràng buộc điểm pick phải trên đường đã chọn :)


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#11 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 13 September 2014 - 11:17 AM

Ý bác Doanvanha chỉ là:

1. Tại sao ko dùng:

(command ".break" e1 "F" pt1 pt1)

2. Nếu để chế độ os /= 0 ==> nhảy lung tung chứ chưa nhắc tới getclosespointto gì gì đó đâu nhóc àh ^^


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#12 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 13 September 2014 - 11:36 AM

- oh hen ko nghĩ tới (pt1 pt1), cái osnap nhoc chỉ nghĩ bạn đó thik pik kiểu nào tùy bạn đó chọn ^^, đã cập nhật chỉnh sữa theo góp y bác HA và bạn hiep :)


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2014 - 11:44 AM

Không nên tắt osnap trước khi pick điểm, bởi như thế là ép user quá.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#14 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 13 September 2014 - 11:54 AM

 Sáng nay em mới lên được xem mọi người trả lời, hiện giờ em đang làm theo lênh BRE của các bác tùy có chỉnh hơi lâu, do em đang vi chỉnh Tiểu lưu vực trên bản đồ trùng lại với các tim đường, phân chia các khu vực lên.

Nhưng dù sao cũng cám ơn các bác, topic mấy bác để cho em thêm 1 hoặc 2 ngày xem có bác nào có cách hay hơn không :v

 

Nếu nghi ngờ khả năng bấm chuột của mình, anh chủ thớt có thể tham khảo thêm thêm lisp giận cá chém thớt sau:

 

Bạn sử dụng Lisp ở đây nhé:
http://www.cadviet.c...showtopic=14925

 

Nhanh hơn nữa thì :

(defun c:brf ()(command "_break" (car (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :")) p "@"))

 

@haanh : Nếu bạn định cắt hình tròn bởi 2 điểm trên cung thì dễ r, còn nếu cắt tại 1 điểm như topic đề cập thì sau đó Circle sẽ bị biến thành gì ?
- Có 2 tình huống : 1 là nó sẽ biến thành Pline có 2 segment cong có 2 đầu (gần gần gần gần ... coi như là) chạm nhau
- 2 là biến thành 1 Arc có 2 đầu (gần gần gần gần ... coi như là) chạm nhau
=> CHọn cách 2 cho đơn giản nhé.
Quick :

(defun c:brf ()
(setq cv (car (setq sth (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :"))))
(if (= (cdadr (entget cv)) "CIRCLE")
(command "_break" sth "f" (vlax-curve-getClosestPointTo cv p) (vlax-curve-getClosestPointTo cv (mapcar '- p '(0.01 0.01))))
(command "break" cv p "@")
)
)

 

em thuộc loại gà lisp nên chắc là em sẽ xài br xong chọn f, chọn 1st & 2sd point trùng nhau luôn. cảm ơn các bác!

 

Từ AutoCAD2013 khỏi cần dùng tham số f =>> Hãy tin và cảm ơn AutoCAD2013


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#15 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 13 September 2014 - 12:11 PM

- hehe có cái lsp nhỏ mà sai lên sai xuống kaka, ko có 2013 để thử, nhoc xài 2014 ko chọn F ko tài nào pik 2 nháy đc


  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^